import { type Config } from '@pnpm/config';
import { install } from '@pnpm/plugin-commands-installation';
export declare const shorthands: {
    legacy: string[];
};
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export type DeployOptions = Omit<install.InstallCommandOptions, 'useLockfile'> & Pick<Config, 'forceLegacyDeploy'>;
export declare function handler(opts: DeployOptions, params: string[]): Promise<void>;
